# -*- coding: utf-8 -*-
import pymysql.cursors
import json
# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://doc.scrapy.org/en/latest/topics/item-pipeline.html


class QichachaPipeline(object):
    def __init__(self):
        self.file = open('items.json', 'wb')
        self.connect = pymysql.connect(host='localhost',
                        user='root',
                        password='root',
                        db='swdz_crm',
                        charset='utf8mb4',
                        cursorclass=pymysql.cursors.DictCursor)

        self.cursor = self.connect.cursor()

    def process_item(self, item, spider):
        line = json.dumps(dict(item)) + "\n"
        self.file.write(line)

        self.cursor.execute(
        """insert into company_info(companyName, regNo, orgNo, openStatus, openTime,startDate,annualDate, regCapital, industry, entType, authority, district, scope, website, regAddr)
        value (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)""",
        (item['name'],
        item['social_code'],
        item['organization_code'],
        item['status'],
        item['operate_period'],
        item['establishment'],
        item['approval_date'],
        item['registered_capital'],
        item['industry_involed'],
        item['company_type'],
        item['registration_authority'],
        item['area'],
        item['business_scope'],
        item['website'],
        item['address']))
        # 提交sql语句
        self.connect.commit()

        return item
